All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
linear-function.hh File Reference
`#include <limits>`
`#include <roboptim/core/fwd.hh>`
`#include <roboptim/core/portability.hh>`
`#include <roboptim/core/quadratic-function.hh>`
`#include <roboptim/core/linear-function.hxx>`

## Classes

class | roboptim::GenericLinearFunction< T >
| Define an abstract linear function. More...

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.